Receive notification
- Endpoint:
POST /vaResultNotifyUrl - Tags: Receive Service
Description
Receive notification
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | ||
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
code | string | Yes | maxLength: 32 | Callback notification code, APPLY_SUCCESS means this is a valid callback. | |
msg | string | Yes | Valid notification description:Success. | ||
version | string | Yes | API version, current value 1.0 | ||
keyVersion | string | Yes | maxLength: 8 | Key version, current value 1 | |
appId | string | Yes | maxLength: 32 | Merchant AppID, the unique identifier assigned to the merchant app by PayerMax. | |
merchantNo | string | Yes | maxLength: 15 | MerchantNo, the unique identifier generated when the merchant signs the contract with PayerMax. | |
notifyTime | string | Yes | maxLength: 32 | Notification time, in line with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX. | |
notifyType | string | Yes | maxLength: 16 | RECEIVE | |
data | object | Yes | Response data body. | ||
data.requestNo | string | Yes | maxLength: 64 | PayerMax's Transaction serial number | |
data.channelTradeNo | string | Yes | maxLength: 64 | Bank reference number/ External order number | |
data.status | string | Yes | maxLength: 16 | TO_BE_PROVED : Additional documents required;SETTLED:Transaction successful and settled;REJECTED:Transaction failed and refunded | |
data.transactionUtcTime | string | Yes | maxLength: 32 | Transaction Creation Time, compliant with the RFC3339 specification.The format is :yyyy-MM-dd’T’HH:mm:ss.SSSXXX | |
data.completeTime | string | Yes | maxLength: 32 | Transaction completion time, compliant with the RFC3339 specification.The format is :yyyy-MM-dd’T’HH:mm:ss.SSSXXX | |
data.paymentDetail | object | Yes | Payment Elements | ||
data.paymentDetail.payeeInfo | object | Yes | Account Information | ||
data.paymentDetail.payeeInfo.country | string | Yes | maxLength: 2 | Country of the Beneficiary Account | |
data.paymentDetail.payeeInfo.accountNo | string | Yes | maxLength: 128 | Beneficiary Account Number | |
data.paymentDetail.payeeInfo.accountNickName | string | Yes | maxLength: 256 | Beneficiary Nickname | |
data.paymentDetail.payeeInfo.bankCode | string | Yes | maxLength: 64 | Bank Code | |
data.paymentDetail.payerInfo | object | Yes | Account Information | ||
data.paymentDetail.payerInfo.accountNo | string | Yes | maxLength: 128 | Payer Account Number (Fill in the corresponding account number based on the payment method) | |
data.paymentDetail.payerInfo.accountName | string | Yes | maxLength: 256 | Payer Full Name | |
data.paymentDetail.payerInfo.bankCode | string | Yes | maxLength: 64 | Payer Bank Code | |
data.paymentDetail.payerInfo.bankName | string | Yes | maxLength: 256 | Payer Bank Name | |
data.paymentDetail.payerInfo.bankBranch | string | Yes | maxLength: 64 | Payer Bank Branch Code/Branch Number | |
data.paymentDetail.settle | object | Yes | Settlement Information | ||
data.paymentDetail.settle.amount | string | Yes | Actual Amount Settled to the Merchant | ||
data.paymentDetail.settle.currency | string | Yes | Currency Code Corresponding to the Actual Amount Settled to the Merchant | ||
data.paymentDetail.settle.fee | string | Yes | Fees | ||
data.paymentDetail.settle.feeCurrency | string | Yes | Currency of the Fees | ||
data.paymentDetail.settle.tax | string | Yes | Taxes | ||
data.paymentDetail.settle.taxCurrency | string | Yes | Currency of the Taxes | ||
data.paymentDetail.trade | object | Yes | Transaction Information | ||
data.paymentDetail.trade.amount | string | Yes | Actual Amount Received by the Bank, in Yuan | ||
data.paymentDetail.trade.currency | string | Yes | Currency Code Corresponding to the Actual Amount Received by the Bank | ||
data.paymentDetail.remark | string | Yes | maxLength: 256 | Additional Data, Bank Transfer Remarks | |
data.errorCode | string | Yes | maxLength: 32 | Order Failure Error Code, see [Error Code List] for details | |
data.errorMsg | string | Yes | maxLength: 256 | Error code description for failed order |
Example
json
{
"appId": "67f2c6ef57xxxx20d52e5abfb",
"code": "APPLY_SUCCESS",
"data": {
"channelTradeNo": "1d7111123434043",
"completeTime": "2024-01-02T10:57:26.805Z",
"paymentDetail": {
"payeeInfo": {
"accountNickName": "DEFAULT",
"accountNo": "9001xxx017x8",
"country": "PH"
},
"payerInfo": {
"accountNo": "0231xxxx48x",
"bankCode": "AUBKPHMMXXX"
},
"settle": {
"amount": "1111.00",
"currency": "PHP",
"fee": "20.00",
"feeCurrency": "PHP",
"tax": "0.00",
"taxCurrency": "PHP"
},
"trade": {
"amount": "1131.00",
"currency": "PHP"
}
},
"requestNo": "2024010xxxx7EO03920002198dd9005",
"status": "SETTLED",
"transactionUtcTime": "2024-01-02T03:03:00.466Z"
},
"keyVersion": "1",
"merchantNo": "P010xxx5xxx2222",
"msg": "Success",
"notifyTime": "2024-01-02T10:57:26.854Z",
"notifyType": "RECEIVE",
"version": "1.0"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | Response message | ||
code | string | Yes | Response code |
Response Example
json
{
"msg": "Success",
"code": "SUCCESS"
}